English | Join | Login | Contact us
파이썬 2.7 / 파이썬 3 포켓 참고가이드 SANS배너

소개

2020년에는 사이버보안 과정을 영원히 바꿀 사건이 사건이 발생합니다. 이것은 파이썬 2의 수명이 다 되었습니다. 2020년에 파이썬 2에 대한 업데이트와 패치를 발표하지 않을 예정입니다. 그러나 파이썬 2는 계속사용됩니다. 역사적으로 지원되지 않는 소프트웨어를 사용해서 어떤 일이 발생하는 지 이미 교훈을 통해 알고 있으며, 앞으로 몇 년 동안 중요한 인프라 및 병원 기기를 계속 운영할 것입니다. 오늘날 파이썬 2 인터프리터에서 실행되는 프로그램은 2020년이 지나도 파이썬 2 인터프리터에서 계속 실행됩니다. 불행히도 오늘날 일부 조직에서는 13년이 되어 심각한 보안 문제가 있음에도 불구하고 여전히 파이썬 2.5를 실행하고 있습니다. 우리는 가까운 미래에도 파이썬 2를 계속 볼 것입니다.

즉, 오늘날 파이썬 2에서 새로운 도구와 자동화를 계속 구현하는 것은 시야가 좁은 것으로 보입니다. 오늘날 파이썬 3에서 작동하는 새로운 코드를 개발해야합니다. 1년 이상 사용하려는 새로운 도구는 파이썬 3에서 실행해야합니다. 또한 보안 취약점을 있을 수 있는 파이썬 2와 같은 오래된 인터프리터를 실행할 때 발생할 수 있는 위험을 평가해야 합니다. 아니면 지원되는 인터프리터와 작동하도록 코드를 업데이트해야합니다.

SANS 'SEC573: 파이썬을 이용한 정보보호 자동화' 과정 및 GPYC 자격증은 파이썬 2 / 파이썬 3를 동시에 다룹니다. SEC573 과정에서는 파이썬 3에서 일반적인 방어, 포렌식 및 공격 작업을 자동화하기 위한 새로운 도구를 구축하도록 강의합니다. 파이썬 3에서 새로운 도구를 개발하면, 성공적인 미션을 달성할 수 있습니다. 또한 기존 파이썬 2 코드를 파이썬 3로 변환하기 위해 알아야 할 사항에 대해서도 다룹니다. 파이썬 2를 계속 사용해야 할 경우 파이썬 3와 호환되는 코드를 작성하는 방법을 가르칩니다. 파이썬 2와 파이썬 3 중 하나를 선택하는 것은 아닙니다. 정답은 둘 다입니다. 우리는 잠시 두 버전을 지원합니다. 이를 위해 SEC573 파이썬 2파이썬 3 포켓 가이드를 다운로드해서 사용해 보시기 바랍니다!

파이썬 2.7 포켓 가이드 다운로드 

파이썬 3 포켓 가이드 다운로드 

관련 교육과정

공유하기
최근 트위터 @ITLKorea
사이버보안 표준자료
CWE/SANS 가장 위험한 25大 소프트웨어 오류
효과적인 사이버 방어를 위한 20개 핵심 통제항목
자동차ISAC 사이버보안 모범사례
NICE 프레임워크
포켓 참고가이드
벤더
스폰서쉽
파트너쉽
연락
공지사항
문의
채용정보
공인강사지원
English
| 개인정보 취급 방침 | 통신판매업신고번호 : 제2010-경기성남-0367호 | ⓒ2011 - 2018 ITL Secure Institute, All Rights Reserved.
본 사이트에 게재되어 있는 회사명, 단체명, 제품명은 각 회사 및 단체의 등록상표입니다.